class RawVoterList

  attr_accessor :email
  attr_accessor :input_addresses

  include Enumerable

  def initialize(params={})
    @email = params[:email] || 1
    @input_addresses = params[:input_addresses] || String.new
  end

  def email=(email)
    @email = email
  end
  
  def each
    @input_addresses.split("\n").each do |address|
      yield Voter.new( { :email => address } ) 
    end
  end
end
